@charset "utf-8";
/* Сброс стилей */
*, *:before, *:after{margin:0;padding:0;border:none;text-decoration:none;outline:none;box-sizing:border-box;-webkit-box-sizing: border-box;-moz-box-sizing: border-box;}
article,aside,figcaption,figure,footer,header,hgroup,nav,section,details,summary,menu,fieldset,div{display:block}
html{width: calc(100vw - 100% + 100%);}

/* Полезные стили */
.rc-clear{clear:both;}
.rc-none{display: none}
.rc-left{float: left}
.rc-right{float: right}
.rc-cursor-pointer{cursor:pointer;}
.rc-cursor-default{cursor:default;}

/* Общие системные стили */
/* .rc-message{border-bottom:1px dashed #ddd} */
.rc-note{color:#333;}
.rc-good{color:#24754c;}
.rc-notice{color:#0077EE;}
.rc-error{color:#c00;}
.rc-wrong{color:#c00;}
.rc-attention{color:#c00}
.rc-hidden{text-decoration: line-through}
/* .rc-weighty:after{} */

.rc-note a, .rc-good a, .rc-notice a, .rc-error a, .rc-wrong a, .rc-attention a, .rc-hidden a{color: inherit}

/* Цвета */
.black{color: black}
.grey{color: gray}
.red{color: red}
.green{color: green}
.yellow{color: yellow}
.blue{color: blue}

/* Кнопки, ссылки */
/* .rc-link{color:#666;cursor: pointer}
.rc-link:hover{text-decoration: underline;}
.rc-link:active{color:#000;} */

/* Виджеты */
.roll-categories li ul{display: none}
.roll-categories li .rc-active-parent + ul{display: block;}

/* Всплывающее окно */
#rollq-fade{left:0;top:0;width:100%;height:100%;text-align:center;background:#ddd;background:rgba(0,0,0,.2);width: calc(100vw - 100% + 100%);}
#rollq-fade:after{content:'';display:inline-block;width:0;height:100%;vertical-align:middle;}
#rollq-popup{display:inline-block;position:relative;max-width:40%;min-height:200px;min-width:400px;vertical-align:middle;background:#fff;margin:20px 20px 50px 20px;text-align:left;-webkit-box-shadow:0px 0px 10px #444;-moz-box-shadow:0px 0px 10px #444;box-shadow:0px 0px 10px #444;}
#rollq-popup-block{padding:0 20px}
#rollq-popup-block .rc-title{margin-top:5px; font-size:1.5em}
#rollq-popup-block .rc-form-input{max-width:100%}
#rollq-popup-close{display:block;text-align:right;cursor:pointer}

input, textarea { field-sizing: content; }

@media screen and (max-width:600px){
    #rollq-popup{min-width:100%;margin:0;}
}

/*::-webkit-scrollbar{
    width:12px;
}
::-webkit-scrollbar-thumb{
    border-width:1px 1px 1px 2px;
    border-color: #777;
    background-color: #aaa;
}
::-webkit-scrollbar-thumb:hover{
    border-width: 1px 1px 1px 2px;
    border-color: #555;
    background-color: #777;
}
::-webkit-scrollbar-track{
    border-width:0;
}
::-webkit-scrollbar-track:hover{
    border-left: solid 1px #aaa;
    background-color: #eee;
}*/
